Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005830OCamlOCaml internal build/install (Makefiles, configure)public2012-11-17 04:302013-07-22 17:47
Reportersesquized 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionsuspended 
PlatformWindowsOSWindowsOS VersionVista 64
Product Version4.00.1 
Target Version4.01.0+devFixed in Version 
Summary0005830: README.win32 says to use "/usr/bin/find"
DescriptionREADME.win32 says to set OCAMLBUILD_FIND to /usr/bin/find
It needs to be /bin/find

On Vista 64 (at least) the cygwin path /usr/bin/find.exe is an alias that is not found by the MSVC "system()" It needs to be /bin/find.
Steps To Reproducedir c:\cygwin\usr\bin\find.exe
dir c:\cygwin\bin\find.exe
TagsNo tags attached.
Attached Files

- Relationships
related to 0005833closeddoligez README.win32 can leave the wrong flexlink in the path 

-  Notes
(0008529)
sesquized (reporter)
2012-11-19 03:15

this is incorrect....
(0009635)
doligez (administrator)
2013-06-28 17:43

It's true that under cygwin /usr/bin is a kind of alias for /bin that Windows doesn't know how to resolve (it doesn't even see it).

But I'm curious to know how the value of OCAMLBUILD_FIND ends up being looked up by MSVC's system() function on your machine.

I'm also curious to know why cygwin's /etc/profile adds /usr/bin and not /bin to the PATH.

I'm in favor of changing it, but this will need to be tested (which, in this case, our CI platform won't do).

(0009824)
frisch (developer)
2013-07-22 13:13

'find' is called through My_std.sys_command, which (under Windows) goes through bash. As long as 'bash' comes from Cygwin, I don't see anything wrong. (Actually, I wonder what's the need for OCAMLBUILD_FIND. Why doesn't ocamlbuild defaults to /usr/bin/find or /bin/find automatically under Win32?)
(0009827)
sesquized (reporter)
2013-07-22 17:41

After I made this report, I found out that the information I had when I made the report was incorrect. On my system /bin/find and /usr/bin/find are actually aliases for each other.

1125899907003518 -rwxr-xr-x 1 Owner None 209422 Dec 3 2010 /bin/find
1125899907003518 -rwxr-xr-x 1 Owner None 209422 Dec 3 2010 /usr/bin/find

I recommend closing this bug as resolved/not needed or whatever status means that nothing needs to be done for the bug.

- Issue History
Date Modified Username Field Change
2012-11-17 04:30 sesquized New Issue
2012-11-19 03:15 sesquized Note Added: 0008529
2013-06-28 17:43 doligez Note Added: 0009635
2013-06-28 17:43 doligez Status new => confirmed
2013-06-28 17:43 doligez Target Version => 4.01.0+dev
2013-06-28 17:44 doligez Relationship added related to 0005833
2013-07-22 13:13 frisch Note Added: 0009824
2013-07-22 13:14 frisch Status confirmed => resolved
2013-07-22 13:14 frisch Resolution open => suspended
2013-07-22 13:14 frisch Assigned To => frisch
2013-07-22 17:41 sesquized Note Added: 0009827
2013-07-22 17:47 frisch Status resolved => closed
2013-07-22 17:47 frisch Assigned To frisch =>


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker